osgAnimation::UpdateActionVisitor Class Reference

`#include <ActionVisitor>`

Inheritance diagram for osgAnimation::UpdateActionVisitor:

## Public Member Functions

| META_ActionVisitor (osgAnimation, UpdateActionVisitor)
| UpdateActionVisitor ()
void | setFrame (unsigned int frame)
bool | isActive (Action &action) const
unsigned int | getLocalFrame () const
void | apply (Timeline &action)
void | apply (Action &action)
void | apply (ActionBlendIn &action)
void | apply (ActionBlendOut &action)
void | apply (ActionAnimation &action)
void | apply (ActionStripAnimation &action)
Public Member Functions inherited from osgAnimation::ActionVisitor
| META_ActionVisitor (osgAnimation, ActionVisitor)
| ActionVisitor ()
void | traverse (Action &visitor)
void | pushFrameActionOnStack (const FrameAction &fa)
void | popFrameAction ()
void | pushTimelineOnStack (Timeline *tm)
void | popTimeline ()
Timeline * | getCurrentTimeline ()
void | setCurrentLayer (int layer)
int | getCurrentLayer () const
const std::vector< FrameAction > & | getStackedFrameAction () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

unsigned int | _frame
unsigned int | _currentAnimationPriority
Protected Attributes inherited from osgAnimation::ActionVisitor
std::vector< FrameAction > | _stackFrameAction
std::vector< Timeline * > | _stackTimeline
int | _currentLayer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## UpdateActionVisitor()

osgAnimation::UpdateActionVisitor::UpdateActionVisitor | ( |  | ) |

Referenced by META_ActionVisitor().

## Member Function Documentation

## apply() [1/6]

void osgAnimation::UpdateActionVisitor::apply | ( | Action & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [2/6]

void osgAnimation::UpdateActionVisitor::apply | ( | ActionAnimation & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [3/6]

void osgAnimation::UpdateActionVisitor::apply | ( | ActionBlendIn & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [4/6]

void osgAnimation::UpdateActionVisitor::apply | ( | ActionBlendOut & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [5/6]

void osgAnimation::UpdateActionVisitor::apply | ( | ActionStripAnimation & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [6/6]

void osgAnimation::UpdateActionVisitor::apply | ( | Timeline & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## getLocalFrame()

unsigned int osgAnimation::UpdateActionVisitor::getLocalFrame | ( |  | ) | const

## isActive()

bool osgAnimation::UpdateActionVisitor::isActive | ( | Action & | action | ) | const

## META_ActionVisitor()

osgAnimation::UpdateActionVisitor::META_ActionVisitor | ( | osgAnimation | ,
|  | UpdateActionVisitor | )

References UpdateActionVisitor().

## setFrame()

void osgAnimation::UpdateActionVisitor::setFrame | ( | unsigned int | frame | ) |

inline

References _frame.

## Member Data Documentation

## _currentAnimationPriority

unsigned int osgAnimation::UpdateActionVisitor::_currentAnimationPriority

protected

## _frame

unsigned int osgAnimation::UpdateActionVisitor::_frame

protected

Referenced by osgAnimation::StatsActionVisitor::setFrame(), and setFrame().

The documentation for this class was generated from the following file:

- ActionVisitor